%define name xmp
%define version 2.0.5
%define release 9mdk
%define tarversion pre3

Summary: Extended Module Player
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{version}/%{name}-%{version}-%{tarversion}.tar.bz2
Patch:  xmp-2.0.5-pre3-gcc3.3.patch.bz2
URL: http://xmp.sf.net
License: GPL
Group: Sound
BuildRequires: libxmms1-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
xmp is a tracked music player that recognizes XM, MOD, NST, WOW, S3M, STM, 669,
PTM, OKT, MTM, FAR, ALM, RAD, AMD and ALM modules. xmp can play modules using
the OSS sequencer (for Gravis Ultrasound and AWE32) and software mixing (for
/dev/dsp and file output).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}-%{tarversion}
%patch -p1

%build
%configure --disable-alsa
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{`xmms-config --input-plugin-dir`,%{_sysconfdir}}
make install DEST_DIR=$RPM_BUILD_ROOT BIN_DIR=$RPM_BUILD_ROOT%{_bindir} MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README docs/README* docs/COPYING docs/CREDITS etc/magic etc/xmp.lsm docs/ChangeLog
%config(noreplace) %_sysconfdir/*
%{_bindir}/*
%{_libdir}/xmms/Input/*
%{_mandir}/*/*

%changelog
* Tue Jun 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.5-9mdk
- URL
- buildrequires
- patch for gcc 3.3

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.5-8mdk
- fix buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-7mdk
- rebuild

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.5-6mdk
- rebuild for new alsa (disable alsa temporarily)

* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 2.0.5-5mdk
- rebuild

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-0.4mdk
- fix buildrequires

* Wed Feb 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-0.3mdk
- remove nonfree patch
- upgraded by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.0.5-pre3
	- included nonfree patch
	- changed package copyright to Distributable

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5pre2-1mdk
- updated to 2.0.5-pre2

* Mon Jan 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.0.4
	- removed obsoleted patch

* Tue Jan  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.3-1mdk
- Gotz Waschk <waschk@linux-mandrake.com> SRPM:
  - 2.0.3
  - fixed installation
  - removed obsoleted patches
  - fixed xmms plugin
  - added some more files to the documentation

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.2-4mdk
- rebuild

* Tue Dec 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.2-3mdk
- config-noreplace
- buildrequires

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- bm & macros

* Sun May  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2
- mdk release

* Thu Oct 22 1998 Arne Coucheron <arneco@online.no>
  [1.1.6-1]
- won't compile with esd support, so leaving it out for now

* Mon Jun 22 1998 Arne Coucheron <arneco@online.no>
  [1.1.5-1]
